Subject: Re: asm-offsets.c

From: Nathan Lynch <[email-masked]>
Date: Thu, 7 Feb 2008 01:16:20 -0600

Sean MacLennan wrote:
> Christoph Hellwig wrote:
> > On Thu, Feb 07, 2008 at 12:49:34AM -0600, Nathan Lynch wrote:
> >   
> >> Christoph Hellwig wrote:
> >>     
> >>> On Wed, Feb 06, 2008 at 11:43:41PM -0500, Sean MacLennan wrote:
> >>>       
> >>>> I just did a git pull of Josh's tree, and 
> >>>> arch/powerpc/kernel/asm-offsets.c does not compile. I have only been 
> >>>> glossing over the linuxppc-dev emails, so forgive me if this already 
> >>>> came up.
> >>>>         
> >>> I have the same problem with current powerpc.git.
> >>>       
> >> What are the exact error and config?  I haven't been able to reproduce
> >> this with several defconfigs and toggling CONFIG_HIGH_RES_TIMERS.
> >>     
> Same error. I did a search for CLOCK_REALTIME_RES and it is not defined 
> in any *.[chS] file.

CLOCK_REALTIME_RES is defined in include/asm/asm-offsets.h, which is
generated from asm-offsets.c as part of the build.

Your config builds fine here, so please post the actual error that you
are seeing during the build?